#include <avr/io.h>
#include <stdint.h>
#include <avr/interrupt.h>
#include <inttypes.h>

#ifndef F_CPU 
  #warning no Frequency defined!
#endif
#define UART_UBRR_CALC(BAUD_,FREQ_) ((FREQ_)/((BAUD_)*16L)-1)
#define UART_BAUD_RATE 19200

extern volatile uint8_t inbuff[5];
extern volatile uint8_t setdata;


void uart_init();
void uart_putc(uint8_t outchar);

void uart_puts(char *s);
void uart_puthex(uint8_t hex);
void uart_putnum(int16_t num);
